Skip to main content
GET
/
api
/
v1
/
accounts
/
{account-id}
/
assets
/
{asset}
/
deposits
/
{id}
Get a deposit by ID
curl --request GET \
  --url https://app.crown-brlv.com/api/v1/accounts/{account-id}/assets/{asset}/deposits/{id}
import requests

url = "https://app.crown-brlv.com/api/v1/accounts/{account-id}/assets/{asset}/deposits/{id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://app.crown-brlv.com/api/v1/accounts/{account-id}/assets/{asset}/deposits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deposit": {
    "id": "660e8400-e29b-41d4-a716-446655440001",
    "type": "pix",
    "amount": "100.50",
    "status": "credited",
    "coordinates": {
      "source-tax-id": "12345678900",
      "source-bank-code": "341",
      "source-type": "pix",
      "source-account-number": "12345-6",
      "source-branch-code": "0001",
      "target": "<string>"
    },
    "created-at": "2024-01-15T10:30:00Z",
    "processed-at": "2024-01-15T10:30:00Z"
  }
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}

Path Parameters

account-id
string<uuid>
required
asset
enum<string>
required
Available options:
usdc,
usdt,
brl,
brly,
usd,
brlv,
wbrly
id
string<uuid>
required

Response

Deposit retrieved successfully

deposit
BRL Deposit · object
required